Subject: Re: bug#26570: GC_is_heap_ptr() dep for 2.2.1

From: Andy Wingo <[email-masked]>
Date: Thu, 20 Apr 2017 10:44:09 +0200

On Thu 20 Apr 2017 01:19, Zefram <[email-masked]> writes:

> Compilation of 2.2.1 fails for me, producing a lot of warnings about
> implicit declaration of GC_is_heap_ptr(), and ultimately
>
>   CCLD     guile
> ./.libs/libguile-2.2.so: undefined reference to `GC_is_heap_ptr'
> collect2: error: ld returned 1 exit status
> Makefile:2439: recipe for target 'guile' failed
> make[3]: *** [guile] Error 1
>
> At a guess, maybe this is supposed to be supplied by libgc.  But I have
> the version of libgc that README says is required (7.2), and configure
> was happy with it.  Maybe a higher version is now required, and README
> and configure need updating?

I think I fixed this in Git.  Please take a look.  Cheers :)

Andy